Subject: Error -1070 Parameter Error ??

From: "Flint Million (netatalk)" <[email-masked]>
Date: Tue, 18 Sep 2001 09:47:30 -0500 (CDT)

Hello, I wrote to this list a short time ago asking about problems with
Netatalk in a classroom. We haven't yet figured out whether the upgrading
I've done will help, but we're now faced with a newer problem: 

I mentioned that we're using an AppleScript to connect to the netatalk
server. Previously I was using the MountVol scripting extension which uses
AppleTalk. I've modified the script to work with the MountIP scripting
extension which uses TCP/IP. The problem is this: The script usually
works, but sometimes it crashes with the following result:

"Error -1070 (Parameter Error) mounting volume!"

Usually a reboot of the Mac fixes the problem, but we'd prefer not having
to reboot our Macs several times a day.  Apple is really bad when it comes
to defining what those negative codes mean. ("What parameter has an
error???")

Any advice/help/suggestions??

-Flint Million